{"host":"4cat.oilab.nl","info":{"contact":{"email":"noreply@4cat.oilab.nl"},"description":"This API allows interfacing with the 4CAT Capture and AnalysisToolkit, offering endpoints through which one may query our corpora via keyword-based search, and run further analysis on the results.","title":"4CAT: Capture and Analysis Toolkit RESTful API","version":"1.0.0"},"paths":{"/api/{datasource}/boards.json":{"get":{"description":"Get available boards in datasource","operationId":"get_boards-get","parameters":[{"description":"The datasource for which to acquire the list of available boards.","in":"path","name":"datasource","required":true,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"A list containing a list of `boards`, as string IDs.","schema":{"properties":{"boards":{"items":{"properties":{"board":{"type":"string"}},"type":"object"},"type":"array"}},"type":"object"}},"404":{"description":"If the datasource does not exist."},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/{datasource}/{board}/archive.json":{"get":{"description":"Emulate 4chan API /[board]/archive.json endpoint","operationId":"get_archive-get","parameters":[{"description":"Data source ID","in":"path","name":"datasource","required":true,"type":"string"},{"description":"Board to get list of archived thread IDs for","in":"path","name":"board","required":true,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"Thread archive, a list of threads IDs of threads within this board.","schema":{"items":{"type":"integer"},"type":"array"}},"404":{"description":"If the datasource does not exist."},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/{datasource}/{board}/catalog.json":{"get":{"description":"Emulate 4chan API /[board]/catalog.json endpoint","operationId":"api_board_catalog-get","parameters":[{"description":"Data source ID","in":"path","name":"datasource","required":true,"type":"string"},{"description":"Board to get index for","in":"path","name":"board","required":true,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"Board catalog, up to 150 threads divided over a list of 20-thread pages, each page having a `page` number and a list of `threads`, each thread containing the first post.","schema":{"items":{"properties":{"page":{"type":"integer"},"threads":{"items":{"properties":{"last_modified":{"type":"integer"},"no":{"type":"integer"},"replies":{"type":"integer"}},"type":"object"},"type":"array"}},"type":"object"},"type":"array"}},"404":{"description":"If the board does not exist for the given datasource."},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/{datasource}/{board}/thread/{thread_id}.json":{"get":{"description":"Emulate 4chan thread.json API endpoint","operationId":"api_thread-get","parameters":[{"description":"Data source ID","in":"path","name":"datasource","required":true,"type":"string"},{"description":"Board name","in":"path","name":"board","required":true,"type":"string"},{"description":"Thread ID","in":"path","name":"thread_id","required":true,"type":"integer"},{"description":"Data format. Can be `json` (default) or `html`.","in":"query","name":"format","required":true,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"Thread data, as a list of `posts`.","schema":{"properties":{"posts":{"additionalProperties":{},"type":"object"}},"type":"object"}},"404":{"description":"If the thread ID does not exist for the given data source."},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/{datasource}/{board}/threads.json":{"get":{"description":"Emulate 4chan API /[board]/threads.json endpoint","operationId":"api_board-get","parameters":[{"description":"Data source ID","in":"path","name":"datasource","required":true,"type":"string"},{"description":"Board to get index for","in":"path","name":"board","required":true,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"Thread index for board, as a list of pages, each page containing a page number `page` and a list of `threads`, each thread having the keys `no` and `last_modified`.","schema":{"items":{"properties":{"page":{"type":"integer"},"threads":{"items":{"properties":{"last_modified":{"type":"integer"},"no":{"type":"integer"},"replies":{"type":"integer"}},"type":"object"},"type":"array"}},"type":"object"},"type":"array"}},"404":{"description":"If the board does not exist for the given datasource."},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/{datasource}/{board}/{page}.json":{"get":{"description":"Emulate 4chan API /[board]/[page].json endpoint","operationId":"api_board_page-get","parameters":[{"description":"Data source ID","in":"path","name":"datasource","required":true,"type":"string"},{"description":"Board to get index for","in":"path","name":"board","required":true,"type":"string"},{"description":"Page to show","in":"path","name":"page","required":true,"type":"integer"}],"produces":["application/json"],"responses":{"200":{"description":"A page containing a list of `threads`, each thread a list of `posts`.","schema":{"properties":{"threads":{"items":{"properties":{"posts":{"items":{"additionalProperties":{},"type":"object"},"type":"array"}},"type":"object"},"type":"array"}},"type":"object"}},"404":{"description":"If the board does not exist for the given datasource."},"429":{"description":"If your request has been rate-limited."}},"summary":""}}},"swagger":"2.0"}